require 'opensrs'

module DLDInternet
  module OpenSRS
    module API
      class Base
        attr_reader :options, :logger

        def initialize(options, logger=nil)
          @options = options
          @logger  = logger
          ::OpenSRS::Server.xml_processor = :nokogiri
        end

        def server
          @server ||= ::OpenSRS::Server.new(
              :server   => options[:server],
              :username => options[:username],
              :password => options[:password],
              :key      => options[:key     ],
              :logger   => @logger
          )
        end

        require 'dldinternet/opensrs/api/mixins/cookie'
        include DLDInternet::OpenSRS::API::MixIns::Cookie

        private

        def getResponse(data, key='attributes')
          response = server.call(data)
          # return nil unless response.success
          resp_obj = response.response
          return nil unless resp_obj
          resp_obj[key] || resp_obj['response_text']
        end

      end
    end
  end
end