require 'hashie/mash'

module DLDInternet
  module OpenSRS
    module API
      module Domain
        module MixIns
          module Get
            module GetDomain

              # noinspection RubyUnnecessaryReturnValue
              def GetDomainListExt(cookiep=nil)
                GetDomainList(cookiep, 'ext_results')
              end

              # noinspection RubyUnnecessaryReturnValue
              def GetDomainList(cookiep=nil, attr='domain_list')

                list = []
                limit = 25
                pn = 0
                pgnos = nil
                page = getdomainpage(nil, cookiep || cookie, nil, nil, limit)
                while page
                  list += page[attr]
                  pgnos ||= page['count'].to_i/limit
                  if page['remainder'].eql?('1') && pn < pgnos
                    pn += 1
                    page = getdomainpage(nil, cookiep || cookie, nil, pn, limit)
                  else
                    page = nil
                  end
                end
                list
              end

              private

              # noinspection RubyUnnecessaryReturnValue
              def getdomainpage(domain=nil,cookiep=nil,registrant_ip=nil, page=nil, limit=nil)

                data = {
                    object: 'DOMAIN',
                    action: 'GET',
                    attributes: {
                        type: 'list',
                    },
                }
                data[:cookie]             = cookiep if cookiep
                data[:domain]             = domain if domain
                data[:registrant_ip]      = registrant_ip if registrant_ip
                data[:attributes][:limit] = limit if limit
                data[:attributes][:page]  = page if page

                response = server.call(data)
                return nil unless response.success
                resp_obj = response.response
                return nil unless resp_obj
                resp_obj['attributes']
              end

            end
          end
        end
      end
    end
  end
end