require 'dldinternet/opensrs/domain/get/command'
require 'dldinternet/opensrs/domain/modify/command'
require 'dldinternet/opensrs/domain/zone/command'

module DLDInternet
  module OpenSRS
    module Domain
      class Command < DLDInternet::Thor::Command
        no_commands do

          require 'dldinternet/opensrs/domain/mixins/no_commands'
          include DLDInternet::OpenSRS::Domain::MixIns::NoCommands

        end

        desc 'get SUBCOMMAND ... ARGS', 'get domain stuff'
        subcommand 'get', ::DLDInternet::OpenSRS::Domain::Get::Command

        desc 'modify SUBCOMMAND ... ARGS', 'manipulate domains'
        subcommand 'modify', ::DLDInternet::OpenSRS::Domain::Modify::Command

        desc 'zone SUBCOMMAND ... ARGS', 'manipulate domains'
        subcommand 'zone', ::DLDInternet::OpenSRS::Domain::Zone::Command
      end
    end
  end
end