require 'dldinternet/opensrs/api/domain'

module DLDInternet
  module OpenSRS
    module Domain
      module Modify
        class Command < DLDInternet::Thor::Command
          no_commands do

            require 'dldinternet/opensrs/domain/modify/mixins/no_commands'
            include DLDInternet::OpenSRS::Domain::Modify::MixIns::NoCommands

          end

          desc 'lock_state', 'modify domain lock_state'
          def lock_state(domain, state)
            parse_options
            @logger.info "domain lock_state for #{domain} = #{state}" if options[:verbose]

            answer = DLDInternet::OpenSRS::API::Domain::Modify.new(options, @logger).SetDomainLockState(domain, state)
            puts domain
            puts answer.ai
            0
          end

          desc 'assign_ns', 'modify domain nameservers'
          def assign_ns(domain, nameserverscsv)
            parse_options
            @logger.info "domain assign_ns for #{domain} = #{nameserverscsv}" if options[:verbose]

            answer = DLDInternet::OpenSRS::API::Domain::Modify.new(options, @logger).AssignDomainNameServers(domain, nameserverscsv)
            puts domain
            puts answer.ai
            0
          end
        end
      end
    end
  end
end