require 'dldinternet/opensrs/api/nameservers'

module DLDInternet
  module OpenSRS
    module NameServers
      class Command < DLDInternet::Thor::Command
        no_commands do

          require 'dldinternet/opensrs/nameservers/mixins/no_commands'
          include DLDInternet::OpenSRS::NameServers::MixIns::NoCommands

        end

        desc 'get', 'get nameservers on account'
        def get(domain='dldinternet.com')
          # parse_options
          # @logger.info "get nameservers" if options[:verbose]
          #
          # answer = DLDInternet::OpenSRS::API::NameServers::Get.new(options, @logger).GetNameServers(domain)
          # case @config[:format].to_s
          # when /none|text/
          #   @config[:format] = :awesome
          # end
          # output answer

          command_pre
          @header = ->{ sprintf('%-32s%-14s', 'Name','IP Address') }
          @format = ->(res) { sprintf('%-32s%-14s', res['name'], res['ipaddress'] ) }
          answer = DLDInternet::OpenSRS::API::NameServers::Get.new(options, @logger).GetNameServers(domain)
          command_out(answer)

          0
        end
      end
    end
  end
end